# fn:input

fn:input() → node*

Function signature

Result | node() *

Returns the sequence of nodes established by the calling environment as the current input collection

XPath 2.0 Specification

Removed in Saxon 7.8

Note:This implementation of the input() function is very simple. If the parameter {http://saxon.sf.net/}input has been supplied to the transformation, the function returns the value of this parameter. This must be a node sequence - which means it cannot be supplied from the command line. If no such parameter has been supplied, it returns the root of the principal source document (the document containing the node that was matched on entry to the transformation).

Expand | Up Next